Learn how to list, inspect, and delete contexts, and how to retrieve tasks within a context.
This guide shows you how to manage contexts using the v2 Agentic API. Contexts are first-class resources with their own endpoints for listing, inspection, and deletion.
The GET /v2/agentic/contexts listing endpoint is in private preview — it returns an empty list and ignores all filters. Use GET /v2/agentic/contexts/{contextId} to retrieve a specific context.
# Replace these with your valuesENVIRONMENT="<eu-or-us>"TENANT="<your-tenant-name>"TOKEN="<your-access-token>"curl "https://api.${ENVIRONMENT}.corti.app/v2/agentic/contexts" \ -H "Authorization: Bearer ${TOKEN}" \ -H "Tenant-Name: ${TENANT}"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Corti API Documentation","description":"Explore product documentation, quickstart guides, tutorials, release notes, and detailed API references to build with Corti API. Leverage full stack AI to unlock workflows with speech to text, text generation, agentic framework, embedded Corti Assistant and more.","colors":{"primary":"#3F3F46","light":"#F4F4F5","dark":"#18181B"},"logo":{"light":"https://mintcdn.com/corti/en_RPjQCFb1qJpbU/logo/corti_light.svg?fit=max\u0026auto=format\u0026n=en_RPjQCFb1qJpbU\u0026q=85\u0026s=effbca890e531e034f6b66ce8e15aa6c","dark":"https://mintcdn.com/corti/en_RPjQCFb1qJpbU/logo/corti_dark.svg?fit=max\u0026auto=format\u0026n=en_RPjQCFb1qJpbU\u0026q=85\u0026s=39e1b8245783318adebc44f1548aee0d"},"favicon":"https://mintcdn.com/corti/en_RPjQCFb1qJpbU/logo/favicon-docs.svg?fit=max\u0026auto=format\u0026n=en_RPjQCFb1qJpbU\u0026q=85\u0026s=1971ff0d52cd65b9f56d059bc6457848","api":{"playground":{"display":"simple"},"examples":{"languages":["curl","javascript","csharp","python","php","go","java"]},"mdx":{"auth":{"method":"bearer"}}},"background":{"color":{"light":"#FFFFFF","dark":"#09090B"}},"navbar":{"links":[{"href":"https://help.corti.app/","label":"Support"}],"primary":{"type":"button","label":"Start Building","href":"https://console.corti.app/signup"}},"footer":{"socials":{"website":"https://www.corti.ai","x":"https://x.com/corti_ai","linkedin":"https://www.linkedin.com/company/corti","github":"https://github.com/corticph","youtube":"https://www.youtube.com/@cortiai"}},"fonts":{"heading":{"family":"Booton","weight":600},"body":{"family":"Booton","weight":400}},"icons":{"library":"lucide"},"integrations":{"gtm":{"tagId":"GTM-MR3DSSF2"},"intercom":{"appId":"y30epli4"}},"banner":{"content":"Corti Models is now available: frontier AI on sovereign infrastructure, through an OpenAI-compatible API. [Get started](/models/welcome).","dismissible":true},"errors":{"404":{"redirect":false,"title":"Page not found","description":"The page you're looking for doesn't exist or may have moved. Use the search bar above, or start from one of these pages:\n\n- [Get started](/get_started/welcome)\n- [Corti Models](/models/welcome)\n- [Agentic Framework](/agentic/overview)\n- [Speech to Text](/stt/overview)\n- [Clinical Text Generation](/textgen/overview)\n- [Medical Coding](/coding/overview)\n- [Clinical Assistant](/assistant/welcome)\n- [API Reference](/api-reference/welcome)"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"corti","hasAudioNarration":false,"actualSubdomain":"corti","customDomains":["docs.corti.ai"],"gitSource":{"type":"github","owner":"corticph","repo":"docs_corti","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae9e9a807405bf5d5962d53","collectionId":"4dcb83c2-ac0d-4dcb-81f6-3ed8cd1a3b9c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae9e9a807405bf5d5962d53"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9e9a807405bf5d5962d53","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Healthcare","count":209},{"language":"default","tag":"API Reference","count":141},{"language":"default","tag":"Clinical Assistant","count":117},{"language":"default","tag":"Events","count":85},{"language":"default","tag":"Event Reference","count":84},{"language":"default","tag":"REST APIs","count":60},{"language":"default","tag":"Agentic Framework","count":51},{"language":"default","tag":"Home","count":49},{"language":"default","tag":"Speech to Text","count":48},{"language":"default","tag":"Clinical Text Generation","count":47}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":false,"enableAskAiSearchBar":false,"deflection":{"enabled":true,"email":"help@corti.ai"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"@font-face{font-family:\"Booton\";src:url(\"/fonts/booton/Booton-Regular.woff2\") format(\"woff2\");font-style:normal;font-weight:400;font-display:swap}@font-face{font-family:\"Booton\";src:url(\"/fonts/booton/Booton-Medium.woff2\") format(\"woff2\");font-style:normal;font-weight:500;font-display:swap}@font-face{font-family:\"Booton\";src:url(\"/fonts/booton/Booton-Semibold.woff2\") format(\"woff2\");font-style:normal;font-weight:600;font-display:swap}:root{--corti-font-sans: \"Booton\", \"Inter\", ui-sans-serif, system-ui, -apple-system, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif;--mintlify-slot-header-height: 7rem}html,body{font-family:var(--corti-font-sans);font-weight:400;-webkit-font-smoothing:antialiased}body :not(code):not(code *):not(pre):not(pre *):not(kbd):not(kbd *):not(samp):not(samp *){font-family:var(--corti-font-sans)}h1,h2,h3,h4,h5,h6{font-family:var(--corti-font-sans);font-weight:600!important;color:var(--tw-prose-headings, #18181b)!important}:is(html.dark,.dark) h1,:is(html.dark,.dark) h2,:is(html.dark,.dark) h3,:is(html.dark,.dark) h4,:is(html.dark,.dark) h5,:is(html.dark,.dark) h6{color:#fafafa!important}:is(html.dark,.dark) [data-component-part=\"step-title\"]{color:#fafafa!important}a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group>span.absolute.inset-0{background-color:#18181b!important}:is(html.dark,.dark) a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group>span.absolute.inset-0{background-color:#fafafa!important}:is(html.dark,.dark) a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group .z-10,:is(html.dark,.dark) a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group .z-10 *,:is(html.dark,.dark) a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group svg{color:#18181b!important}[data-component-part=\"card-content-container\"]{align-items:flex-start!important}.card [data-component-part=\"card-content\"]>.code-block:last-child{margin-bottom:0!important}[data-component-part=\"card-content-container\"]>div[class*=\"h-6\"][class*=\"w-6\"]{width:24px!important;height:24px!important;min-width:24px;min-height:24px;display:inline-flex;align-items:center;justify-content:center;margin-top:2px}[data-component-part=\"card-content-container\"]>div[class*=\"h-6\"][class*=\"w-6\"] svg,[data-component-part=\"card-content-container\"]>div[class*=\"h-6\"][class*=\"w-6\"] img{width:24px!important;height:24px!important}:is(html.dark,.dark) .card [data-component-part=\"card-title\"],:is(html.dark,.dark) .card [data-component-part=\"card-title\"] a,:is(html.dark,.dark) .card h2 a,:is(html.dark,.dark) .card h3 a,:is(html.dark,.dark) .card h4 a,:is(html.dark,.dark) .card a[href].font-semibold{color:#fafafa!important}:is(html.dark,.dark) .card [data-component-part=\"card-title\"] a:visited,:is(html.dark,.dark) .card h2 a:visited,:is(html.dark,.dark) .card h3 a:visited,:is(html.dark,.dark) .card h4 a:visited,:is(html.dark,.dark) .card a[href].font-semibold:visited{color:#fafafa!important}.nav-tag-pill-text[data-nav-tag=\"beta\"],[data-nav-tag=\"beta\"].nav-tag-pill-text{background-color:#b8f818!important;border:none!important;color:#18181b!important;text-transform:uppercase!important;font-weight:600!important}#navigation-items{padding-bottom:9rem}.accent-badge{background-color:#b8f818!important;border:none!important;color:#18181b!important;text-transform:uppercase!important;font-weight:600!important}.mdx-content li strong{font-weight:600!important}.mdx-content [class*=\"overflow-x-auto\"]{overflow-x:visible!important}.mdx-content [class*=\"w-[calc(100%+(var(--page-padding)*2))]\"]{width:100%!important}.mdx-content [class*=\"-mx-[var(--page-padding)]\"]{margin-left:0!important;margin-right:0!important}.mdx-content [class*=\"max-w-none\"]{max-width:100%!important}.mdx-content .table{display:block!important}.mdx-content table{width:100%!important;max-width:100%!important;min-width:0!important;table-layout:auto;border-collapse:collapse;box-sizing:border-box;margin:0}.mdx-content table th,.mdx-content table td{min-width:0!important;vertical-align:top}.mdx-content table th,.mdx-content table th *{white-space:normal;overflow-wrap:normal!important;word-break:normal!important;hyphens:manual}.mdx-content table th,.mdx-content table th *,.mdx-content table strong{font-weight:600!important}.mdx-content table td{white-space:normal;overflow-wrap:break-word;word-break:normal;hyphens:manual}.mdx-content table code,.mdx-content table kbd,.mdx-content table samp{white-space:nowrap;overflow-wrap:normal;word-break:keep-all}.mdx-content table td code,.mdx-content table td kbd,.mdx-content table td samp{white-space:normal;overflow-wrap:normal;word-break:normal}.mdx-content table td a{white-space:normal;overflow-wrap:break-word;word-break:normal;hyphens:manual}.mdx-content .capabilities-table table th:first-child,.mdx-content .capabilities-table table td:first-child,.mdx-content .capabilities-table table th:last-child,.mdx-content .capabilities-table table td:last-child,.mdx-content .capabilities-table table td:first-child a,.mdx-content .capabilities-table table td:last-child a{white-space:nowrap}.mdx-content table img,.mdx-content table svg{max-width:100%;height:auto;display:block}.mdx-content [data-component-part=\"code-block-root\"]{width:100%!important;max-width:100%!important;overflow-x:auto!important;-webkit-overflow-scrolling:touch}.mdx-content [data-component-part=\"code-block-root\"][class*=\"overflow-x-auto\"]{overflow-x:auto!important}.mdx-content [data-component-part=\"code-block-root\"] pre,.mdx-content [data-component-part=\"code-block-root\"] code,.mdx-content [data-component-part=\"code-block-root\"] .shiki,.mdx-content [data-component-part=\"code-block-root\"] .shiki .line,.mdx-content [data-component-part=\"code-block-root\"] .shiki .line>span{white-space:pre!important;word-break:normal!important;overflow-wrap:normal!important}.mdx-content [data-component-part=\"code-block-root\"] pre>code>span.line-diff{min-width:max-content!important}:not(pre)>code{background-color:rgba(0,0,0,0.03);border:1px solid rgba(0,0,0,0.08);border-radius:6px;padding:0.15em 0.4em;font-size:0.875em;color:inherit}:is(html.dark,.dark) :not(pre)>code{background-color:rgba(255,255,255,0.08);border:1px solid rgba(255,255,255,0.08);color:#fafafa}html:not(.dark) .mdx-content [data-component-part=\"code-block-root\"] .line-highlight,html:not(.dark) .mdx-content [data-component-part=\"code-block-root\"] .line-highlight::before{background-color:rgba(115, 115, 115, 0.16)!important}:is(html.dark,.dark) g.node.nodeNeutral span,:is(html.dark,.dark) g.node.nodeNeutral .label,:is(html.dark,.dark) g.node.nodeNeutral .label text,:is(html.dark,.dark) g.node.nodeGray span,:is(html.dark,.dark) g.node.nodeGray .label,:is(html.dark,.dark) g.node.nodeGray .label text,:is(html.dark,.dark) g.node.nodeBlue span,:is(html.dark,.dark) g.node.nodeBlue .label,:is(html.dark,.dark) g.node.nodeBlue .label text,:is(html.dark,.dark) g.node.nodeGreen span,:is(html.dark,.dark) g.node.nodeGreen .label,:is(html.dark,.dark) g.node.nodeGreen .label text,:is(html.dark,.dark) g.node.nodeYellow span,:is(html.dark,.dark) g.node.nodeYellow .label,:is(html.dark,.dark) g.node.nodeYellow .label text,:is(html.dark,.dark) g.node.nodeCyan span,:is(html.dark,.dark) g.node.nodeCyan .label,:is(html.dark,.dark) g.node.nodeCyan .label text,:is(html.dark,.dark) g.node.nodePurple span,:is(html.dark,.dark) g.node.nodePurple .label,:is(html.dark,.dark) g.node.nodePurple .label text,:is(html.dark,.dark) g.node.nodeLightPurple span,:is(html.dark,.dark) g.node.nodeLightPurple .label,:is(html.dark,.dark) g.node.nodeLightPurple .label text{color:#1a1a1a!important;fill:#1a1a1a!important}img[src$=\"embedded-assistant.svg\"]{filter:brightness(0) invert(32%)}a[aria-current=\"location\"] img[src$=\"embedded-assistant.svg\"],a:hover img[src$=\"embedded-assistant.svg\"]{filter:brightness(0) invert(15%)}:is(html.dark,.dark) img[src$=\"embedded-assistant.svg\"]{filter:brightness(0) invert(63%)}:is(html.dark,.dark) a[aria-current=\"location\"] img[src$=\"embedded-assistant.svg\"],:is(html.dark,.dark) a:hover img[src$=\"embedded-assistant.svg\"]{filter:brightness(0) invert(88%)}.errors-tabs [role=\"tablist\"] [role=\"tab\"],.errors-tabs [role=\"tablist\"] [role=\"tab\"] *,.errors-tabs [role=\"tablist\"] button,.errors-tabs [role=\"tablist\"] button *{font-weight:800!important;font-size:1.05em!important}"}],"page":{"pagePath":"agentic/guides/work-with-contexts","slug":"/agentic/guides/work-with-contexts","pageMetadata":{"title":"Work with contexts","description":"Learn how to list, inspect, and delete contexts, and how to retrieve tasks within a context.","href":"/agentic/guides/work-with-contexts"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Learn how to list, inspect, and delete contexts, and how to retrieve tasks within a context.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,Table,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This guide shows you how to manage contexts using the v2 Agentic API. Contexts are first-class resources with their own endpoints for listing, inspection, and deletion.`}),`\n`,_jsx(Heading,{level:`2`,id:`prerequisites`,children:`Prerequisites`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`An existing agent with at least one sent message (see `,_jsx(_components.a,{href:`/agentic/guides/send-message`,children:`Send a message`}),`)`]}),`\n`,_jsxs(_components.li,{children:[`Understanding of `,_jsx(_components.a,{href:`/agentic/context-memory`,children:`context and memory`})]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`list-contexts`,children:`List contexts`}),`\n`,_jsxs(Warning,{children:[`The `,_jsx(_components.code,{children:`GET /v2/agentic/contexts`}),` listing endpoint is in private preview — it returns an empty list and ignores all filters. Use `,_jsx(_components.code,{children:`GET /v2/agentic/contexts/{contextId}`}),` to retrieve a specific context.`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Replace these with your values`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ENVIRONMENT`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003ceu-or-us>\"`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TENANT`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cyour-tenant-name>\"`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TOKEN`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cyour-access-token>\"`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"https://api.${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ENVIRONMENT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}.corti.app/v2/agentic/contexts\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Authorization: Bearer ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TOKEN`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Tenant-Name: ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TENANT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`filtering`,children:`Filtering`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`agentId`})}),_jsx(_components.td,{children:`Restrict to contexts owned by a specific agent`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`from`})}),_jsxs(_components.td,{children:[`Inclusive lower bound on `,_jsx(_components.code,{children:`createdAt`}),` (RFC 3339)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`to`})}),_jsxs(_components.td,{children:[`Exclusive upper bound on `,_jsx(_components.code,{children:`createdAt`}),` (RFC 3339)`]})]})]})]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`5`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`AGENT_ID`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cyour-agent-id>\"`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"https://api.${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ENVIRONMENT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}.corti.app/v2/agentic/contexts?agentId=${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`AGENT_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\u0026from=2026-05-19T00:00:00Z\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Authorization: Bearer ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TOKEN`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Tenant-Name: ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TENANT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`})]}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[`The response is paginated with `,_jsx(_components.code,{children:`contexts`}),`, `,_jsx(_components.code,{children:`nextPageToken`}),`, and `,_jsx(_components.code,{children:`totalSize`}),` fields.`]}),`\n`,_jsx(Heading,{level:`2`,id:`get-a-context`,children:`Get a context`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`5`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`CONTEXT_ID`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cyour-context-id>\"`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"https://api.${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ENVIRONMENT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}.corti.app/v2/agentic/contexts/${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`CONTEXT_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Authorization: Bearer ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TOKEN`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Tenant-Name: ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TENANT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`})]}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[`Use the `,_jsx(_components.code,{children:`historyLength`}),` query parameter to cap the number of history messages returned per task:`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"https://api.${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ENVIRONMENT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}.corti.app/v2/agentic/contexts/${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`CONTEXT_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}?historyLength=10\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Authorization: Bearer ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TOKEN`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Tenant-Name: ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TENANT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`})]}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[`The response includes the context’s metadata and its `,_jsx(_components.code,{children:`tasks`}),` array (oldest first). Each task carries its full message `,_jsx(_components.code,{children:`history`}),`.`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`19`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ctx.0192f4c8-...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"agt.0192f4c8-...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"taskCount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-05-19T12:00:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updatedAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-05-19T12:00:01Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"expiresAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tasks\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"task.0192f4c8-...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"contextId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ctx.0192f4c8-...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"TASK_STATE_COMPLETED\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"timestamp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-05-19T12:00:01Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"history\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ROLE_USER\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"messageId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"msg-...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"parts\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [{`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Code this encounter.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}]},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ROLE_AGENT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"messageId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"msg-...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"parts\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [{`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"J45.901\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}]}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`delete-a-context`,children:`Delete a context`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` DELETE`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"https://api.${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ENVIRONMENT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}.corti.app/v2/agentic/contexts/${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`CONTEXT_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Authorization: Bearer ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TOKEN`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Tenant-Name: ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TENANT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`})]}),`\n`]})})}),`\n`,_jsx(Warning,{children:`Deleting a context is irreversible. All associated tasks, messages, and artifacts are permanently removed.`}),`\n`,_jsx(Heading,{level:`2`,id:`list-tasks-in-a-context`,children:`List tasks in a context`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"https://api.${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ENVIRONMENT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}.corti.app/v2/agentic/contexts/${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`CONTEXT_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}/tasks\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Authorization: Bearer ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TOKEN`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Tenant-Name: ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TENANT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`get-a-specific-task-in-a-context`,children:`Get a specific task in a context`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`5`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TASK_ID`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cyour-task-id>\"`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"https://api.${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ENVIRONMENT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}.corti.app/v2/agentic/contexts/${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`CONTEXT_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}/tasks/${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TASK_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Authorization: Bearer ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TOKEN`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Tenant-Name: ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TENANT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`get-an-artifact`,children:`Get an artifact`}),`\n`,_jsx(_components.p,{children:`Retrieve a specific artifact produced by a task:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`5`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ARTIFACT_ID`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cyour-artifact-id>\"`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"https://api.${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ENVIRONMENT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}.corti.app/v2/agentic/contexts/${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`CONTEXT_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}/tasks/${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TASK_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"}/artifacts/${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ARTIFACT_ID`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Authorization: Bearer ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TOKEN`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"Tenant-Name: ${'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`TENANT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`next-steps`,children:`Next steps`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Learn how to `,_jsx(_components.a,{href:`/agentic/guides/export-traces`,children:`export traces`}),` for observability`]}),`\n`,_jsxs(_components.li,{children:[`Read about `,_jsx(_components.a,{href:`/agentic/context-memory`,children:`context and memory`}),` concepts`]}),`\n`,_jsxs(_components.li,{children:[`Learn how to `,_jsx(_components.a,{href:`/agentic/guides/submit-feedback`,children:`submit feedback`}),` on task results`]}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Work with contexts","description":"Learn how to list, inspect, and delete contexts, and how to retrieve tasks within a context.","href":"/agentic/guides/work-with-contexts"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Prerequisites","slug":"prerequisites","depth":2,"children":[]},{"title":"List contexts","slug":"list-contexts","depth":2,"children":[{"title":"Filtering","slug":"filtering","depth":3,"children":[]}]},{"title":"Get a context","slug":"get-a-context","depth":2,"children":[]},{"title":"Delete a context","slug":"delete-a-context","depth":2,"children":[]},{"title":"List tasks in a context","slug":"list-tasks-in-a-context","depth":2,"children":[]},{"title":"Get a specific task in a context","slug":"get-a-specific-task-in-a-context","depth":2,"children":[]},{"title":"Get an artifact","slug":"get-an-artifact","depth":2,"children":[]},{"title":"Next steps","slug":"next-steps","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/corti/f39b9e0170d6232a/api-reference/corti.js","/_mintlify/custom/corti/8c15918c79eb9f3c/generate-events-nav.js"],"subdomain":"corti","siteName":"Corti API Documentation","title":"Work with contexts - Corti API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-28T11:36:00.240Z","originalFileLocation":"agentic/guides/work-with-contexts.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Learn how to list, inspect, and delete contexts, and how to retrieve tasks within a context.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Corti API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Work with contexts - Corti API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Learn how to list, inspect, and delete contexts, and how to retrieve tasks within a context.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Corti API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.corti.ai/agentic/guides/work-with-contexts\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://corti.mintlify.site/_mintlify/api/og/v2?division=Guides\u0026amp;title=Work+with+contexts\u0026amp;description=Learn+how+to+list%2C+inspect%2C+and+delete+contexts%2C+and+how+to+retrieve+tasks+within+a+context.\u0026amp;theme=34b80329efcd2beff359af85\u0026amp;signature=8ac0edeb4b6e80d8253b055a72e9dd9ac4c74f24ac3be0ae37e5283bc61240de\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Work with contexts - Corti API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Learn how to list, inspect, and delete contexts, and how to retrieve tasks within a context.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://corti.mintlify.site/_mintlify/api/og/v2?division=Guides\u0026amp;title=Work+with+contexts\u0026amp;description=Learn+how+to+list%2C+inspect%2C+and+delete+contexts%2C+and+how+to+retrieve+tasks+within+a+context.\u0026amp;theme=34b80329efcd2beff359af85\u0026amp;signature=8ac0edeb4b6e80d8253b055a72e9dd9ac4c74f24ac3be0ae37e5283bc61240de\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Corti API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3F3F46\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.corti.ai/agentic/guides/work-with-contexts\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/agentic/guides/work-with-contexts.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.corti.ai/#organization\",\"name\":\"Corti API Documentation\",\"url\":\"https://docs.corti.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/corti/en_RPjQCFb1qJpbU/logo/corti_light.svg?fit=max\u0026auto=format\u0026n=en_RPjQCFb1qJpbU\u0026q=85\u0026s=effbca890e531e034f6b66ce8e15aa6c\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.corti.ai#website\",\"name\":\"Corti API Documentation\",\"url\":\"https://docs.corti.ai\",\"publisher\":{\"@id\":\"https://docs.corti.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.corti.ai/agentic/guides/work-with-contexts#webpage\",\"url\":\"https://docs.corti.ai/agentic/guides/work-with-contexts\",\"name\":\"Work with contexts\",\"description\":\"Learn how to list, inspect, and delete contexts, and how to retrieve tasks within a context.\",\"dateModified\":\"2026-07-28T11:36:00.240Z\",\"isPartOf\":{\"@id\":\"https://docs.corti.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.corti.ai/agentic/guides/work-with-contexts#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.corti.ai/agentic/guides/work-with-contexts#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Guides\",\"item\":\"https://docs.corti.ai/agentic/guides/create-agent\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Work with contexts\",\"item\":\"https://docs.corti.ai/agentic/guides/work-with-contexts\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.corti.ai/agentic/guides/work-with-contexts#article\",\"headline\":\"Work with contexts\",\"name\":\"Work with contexts\",\"description\":\"Learn how to list, inspect, and delete contexts, and how to retrieve tasks within a context.\",\"url\":\"https://docs.corti.ai/agentic/guides/work-with-contexts\",\"mainEntityOfPage\":{\"@id\":\"https://docs.corti.ai/agentic/guides/work-with-contexts#webpage\"},\"dateModified\":\"2026-07-28T11:36:00.240Z\",\"publisher\":{\"@id\":\"https://docs.corti.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.corti.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Corti API Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Corti API Documentation","nav":{"global":null,"tabs":[{"tab":"Home","icon":"house","pages":[{"title":"Home","href":"/get_started/welcome"}]},{"tab":"Corti Models","icon":"microchip","pages":[{"title":"Corti Models","href":"/models/welcome"}]},{"tab":"Agentic Framework","icon":"layers","pages":[{"title":"Overview of the Corti Agentic Framework","sidebarTitle":"Overview","mode":"wide","href":"/agentic/overview"},{"group":"Quickstart","icon":"rocket","pages":[{"title":"Quickstart","sidebarTitle":"Quickstart","href":"/agentic/quickstart"}]},{"group":"Concepts","icon":"book-open","pages":[{"title":"Core concepts","href":"/agentic/core-concepts"},{"title":"System architecture","href":"/agentic/architecture"},{"title":"Connectors","href":"/agentic/connectors"},{"title":"Context and memory","href":"/agentic/context-memory"},{"title":"A2A protocol","href":"/agentic/a2a-protocol"},{"title":"Agent cards","href":"/agentic/agent-cards"},{"title":"Task lifecycle","href":"/agentic/task-lifecycle"}]},{"group":"Guides","icon":"navigation","pages":[{"title":"Create and configure an agent","href":"/agentic/guides/create-agent"},{"title":"Send a message to an agent","href":"/agentic/guides/send-message"},{"title":"Stream agent responses","href":"/agentic/guides/stream-responses"},{"title":"Render inline citations","href":"/agentic/guides/inline-citations"},{"title":"Manage connectors","description":"Learn how to list, attach, update, and remove connectors using the connector sub-resource endpoints.","href":"/agentic/guides/manage-connectors"},{"title":"Work with contexts","href":"/agentic/guides/work-with-contexts"},{"title":"Configure connector authentication","description":"Learn how to configure authentication for outbound connectors using the ConnectorAuth schema.","href":"/agentic/guides/connector-auth"},{"title":"Browse the connector registry","href":"/agentic/guides/use-registry"},{"title":"View agent usage","href":"/agentic/guides/view-usage"},{"title":"Export OpenInference traces","href":"/agentic/guides/export-traces"},{"title":"Submit feedback on tasks","href":"/agentic/guides/submit-feedback"},{"title":"Migrate from v1 to v2","href":"/agentic/guides/migrate-v1-to-v2"}]},{"group":"Reference","icon":"flag","pages":[{"title":"SDKs and integrations","href":"/agentic/sdks-integrations"},{"title":"FAQ","href":"/agentic/faq"}]},{"group":"Registry Connectors","icon":"library-big","expanded":false,"pages":[{"title":"Registry connectors","sidebarTitle":"Overview","href":"/agentic/registry/overview"},{"title":"Memory","sidebarTitle":"Memory","href":"/agentic/registry/memory"},{"title":"Clinical Trials","sidebarTitle":"Clinical Trials","href":"/agentic/registry/clinicaltrials-gov"},{"title":"DrugBank","sidebarTitle":"DrugBank","href":"/agentic/registry/drugbank"},{"title":"Medical Calculator","sidebarTitle":"Medical Calculator","href":"/agentic/registry/medical-calculator"},{"title":"Medical Coding","sidebarTitle":"Medical Coding","href":"/agentic/registry/medical-coding"},{"title":"POSOS","sidebarTitle":"POSOS","href":"/agentic/registry/posos"},{"title":"PubMed","sidebarTitle":"PubMed","href":"/agentic/registry/pubmed"},{"title":"Interviewing","sidebarTitle":"Interviewing","href":"/agentic/registry/questionnaire-interviewing"},{"title":"Web Search","sidebarTitle":"Web Search","href":"/agentic/registry/web-search"}]},{"group":"Agent SDK","icon":"package","tag":"Private preview","expanded":false,"pages":[{"title":"Agent SDK overview","sidebarTitle":"Overview","href":"/agentic/agent-sdk/overview"},{"title":"Agent SDK core concepts","sidebarTitle":"Core concepts","href":"/agentic/agent-sdk/concepts"},{"title":"Multi-agent composition","sidebarTitle":"Composition","href":"/agentic/agent-sdk/composition"},{"title":"Agent SDK API reference","sidebarTitle":"API reference","href":"/agentic/agent-sdk/api-reference"},{"title":"Common pitfalls","sidebarTitle":"Common pitfalls","href":"/agentic/agent-sdk/common-pitfalls"}]},{"group":"v1 Documentation (archived)","icon":"archive","expanded":false,"pages":[{"title":"Overview of the Corti Agentic Framework","sidebarTitle":"Welcome","mode":"wide","href":"/agentic/v1/overview"},{"title":"Beginners' Guide to Agents","sidebarTitle":"Beginners' Guide","href":"/agentic/v1/beginners-guide"},{"title":"Quickstart (v1)","sidebarTitle":"Quickstart","href":"/agentic/v1/quickstart"},{"title":"Core Concepts","sidebarTitle":"Core Concepts","href":"/agentic/v1/core-concepts"},{"title":"System Architecture","sidebarTitle":"Architecture","href":"/agentic/v1/architecture"},{"title":"Orchestrator","sidebarTitle":"Orchestrator","href":"/agentic/v1/orchestrator"},{"title":"Experts","sidebarTitle":"Experts","href":"/agentic/v1/experts"},{"title":"Context \u0026 Memory","sidebarTitle":"Context \u0026 Memory","href":"/agentic/v1/context-memory"},{"title":"A2A Protocol (Agent-to-Agent)","sidebarTitle":"A2A Protocol","href":"/agentic/v1/a2a-protocol"},{"title":"MCP Protocol (Model Context Protocol)","sidebarTitle":"MCP Protocol","href":"/agentic/v1/mcp-protocol"},{"title":"MCP Authentication","sidebarTitle":"MCP Authentication","href":"/agentic/v1/mcp-authentication"},{"title":"SDKs \u0026 Integrations","sidebarTitle":"SDKs \u0026 Integrations","href":"/agentic/v1/sdks-integrations"},{"title":"FAQ","sidebarTitle":"FAQ","href":"/agentic/v1/faq"}]}]},{"tab":"Speech to Text","icon":"audio-lines","pages":[{"title":"Speech to Text","href":"/stt/overview"}]},{"tab":"Healthcare","icon":"heart-pulse","pages":[{"title":"Healthcare","href":"/healthcare"}]},{"tab":"API Reference","icon":"square-code","pages":[{"title":"API Reference","href":"/api-reference/welcome"}]}]},"basePath":"","title":"Work with contexts - Corti API Documentation","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["10e4515597"],"chunks":["BannerMarkdown-BcDCEkh6.js","dist-CwjSCXIK.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","clsx-eKJ4rcii.js","html-void-elements-mCSPHezU.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js"]}